# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DesignContext Class Reference

class added to Schema AP214 around April 1996

`#include <StepBasic_DesignContext.hxx>`

Inheritance diagram for StepBasic_DesignContext:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_DesignContext ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DesignContext::StepBasic_DesignContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_DesignContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ProductDefinitionContext.

The documentation for this class was generated from the following file:

- StepBasic_DesignContext.hxx